Bug 188856 - CVE-2006-1735 Privilege escalation via XBL.method.eval
CVE-2006-1735 Privilege escalation via XBL.method.eval
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-13 00:00 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:59:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-13 00:00:52 EDT
Privilege escalation via XBL.method.eval


Using the eval associated with methods of an XBL binding it was possible to
create  JavaScript  functions  that  would get compiled with the wrong
privileges, allowing the attacker to run code of their choice with the full
permission of the user running the browser. This could be used to install
spyware or viruses.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until you can upgrade to a fixed version.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=311025
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=311403
[3]https://bugzilla.mozilla.org/show_bug.cgi?id=311455


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-24 09:09:42 EDT
Lifting Embargo
Comment 2 Matěj Cepl 2007-07-18 13:32:24 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Matěj Cepl 2007-08-28 10:59:43 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.